#ifndef PARSER_H
#define PARSER_H

#include <QDebug>
#include <QTreeWidget>
#include <QXmlAttributes>
#include <QTreeWidgetItem>
#include <QXmlDefaultHandler>

class parser : public QXmlDefaultHandler
{
private:
    QString cur_text;
    QTreeWidget *tree_widget;
    QTreeWidgetItem *widget_item;
    QString title;
public:
    parser(QTreeWidget* tree, const QString&);
    bool startElement(const QString&,const QString&,const QString&,const QXmlAttributes& attr);
    bool characters(const QString& strText);
    bool endElement(const QString&, const QString&, const QString& str);
    bool fatalError(const QXmlParseException& exception);
};
#endif // PARSER_H